Page MenuHomePhabricator

[Epic] Implement course "type"
Closed, ResolvedPublic

Description

The dashboard already has a hacky notion of "legacy" courses (which are synchronized from onwiki to the dashboard, rather than from dashboard to wiki, as I vaguely understood it), those with IDs above 3,000 or something. Let's formalize this idea of course type and include it in the schema.

It makes sense to create an additional table to contain info about course types.

Event Timeline

awight created this task.Dec 5 2015, 8:17 AM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added subscribers: StudiesWorld, Base, Aklapper. · View Herald TranscriptDec 5 2015, 8:17 AM
awight updated the task description. (Show Details)Dec 5 2015, 8:49 AM
awight set Security to None.
awight renamed this task from Implement course "type" to [Epic] Implement course "type".Jan 14 2016, 9:19 AM
awight updated the task description. (Show Details)
awight added a project: Epic.

We recently implemented course typing (using Rails' Single Table Inheritance):

https://github.com/WikiEducationFoundation/WikiEduDashboard/pull/603/files

It will be simple to add another type for Legacy courses, and migrate the existing ones. For Wiki Ed's purposes, and I think this should be the case for Outreach Dashboard as well, Legacy courses are deprecated.

I am not sure what this means or if it would be useful for me to comment.

awight closed this task as Resolved.Feb 17 2016, 7:36 AM
awight claimed this task.
awight moved this task from In Progress to Done on the Program Dashboard Sprint 1 board.